import { type Readable } from "svelte/store";
export default (every: number): Readable<Date> => {
  return {
    subscribe(run) {
      const cb = () => {
        run(new Date());
      };
      const interval = setInterval(cb, every);
      cb();
      return () => clearInterval(interval);
    },
  };
};
